## EMap

EMap

## Functions

EMap * | e_map_new ()
void | e_map_freeze ()
void | e_map_thaw ()
void | e_map_window_to_world ()
void | e_map_world_to_window ()
gdouble | e_map_get_magnification ()
void | e_map_set_smooth_zoom ()
gboolean | e_map_get_smooth_zoom ()
void | e_map_zoom_to_location ()
void | e_map_zoom_out ()
EMapPoint * | e_map_add_point ()
void | e_map_remove_point ()
void | e_map_point_get_location ()
gchar * | e_map_point_get_name ()
guint32 | e_map_point_get_color_rgba ()
void | e_map_point_set_color_rgba ()
void | e_map_point_set_data ()
gpointer | e_map_point_get_data ()
gboolean | e_map_point_is_in_view ()
EMapPoint * | e_map_get_closest_point ()

## Types and Values

struct | EMap
struct | EMapPoint

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── EMap

## Implemented Interfaces

EMap implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### e_map_new ()

    EMap *
    e_map_new (void);

Creates a new empty map widget.

#### Returns

A newly-created map widget.

### e_map_freeze ()

    void
    e_map_freeze (EMap *map);

### e_map_thaw ()

    void
    e_map_thaw (EMap *map);

### e_map_window_to_world ()

    void
    e_map_window_to_world (EMap *map,
                           gdouble win_x,
                           gdouble win_y,
                           gdouble *world_longitude,
                           gdouble *world_latitude);

### e_map_world_to_window ()

    void
    e_map_world_to_window (EMap *map,
                           gdouble world_longitude,
                           gdouble world_latitude,
                           gdouble *win_x,
                           gdouble *win_y);

### e_map_get_magnification ()

    gdouble
    e_map_get_magnification (EMap *map);

### e_map_set_smooth_zoom ()

    void
    e_map_set_smooth_zoom (EMap *map,
                           gboolean state);

### e_map_get_smooth_zoom ()

    gboolean
    e_map_get_smooth_zoom (EMap *map);

### e_map_zoom_to_location ()

    void
    e_map_zoom_to_location (EMap *map,
                            gdouble longitude,
                            gdouble latitude);

### e_map_zoom_out ()

    void
    e_map_zoom_out (EMap *map);

### e_map_add_point ()

    EMapPoint *
    e_map_add_point (EMap *map,
                     gchar *name,
                     gdouble longitude,
                     gdouble latitude,
                     guint32 color_rgba);

### e_map_remove_point ()

    void
    e_map_remove_point (EMap *map,
                        EMapPoint *point);

### e_map_point_get_location ()

    void
    e_map_point_get_location (EMapPoint *point,
                              gdouble *longitude,
                              gdouble *latitude);

### e_map_point_get_name ()

    gchar *
    e_map_point_get_name (EMapPoint *point);

### e_map_point_get_color_rgba ()

    guint32
    e_map_point_get_color_rgba (EMapPoint *point);

### e_map_point_set_color_rgba ()

    void
    e_map_point_set_color_rgba (EMap *map,
                                EMapPoint *point,
                                guint32 color_rgba);

### e_map_point_set_data ()

    void
    e_map_point_set_data (EMapPoint *point,
                          gpointer data);

### e_map_point_get_data ()

    gpointer
    e_map_point_get_data (EMapPoint *point);

### e_map_point_is_in_view ()

    gboolean
    e_map_point_is_in_view (EMap *map,
                            EMapPoint *point);

### e_map_get_closest_point ()

    EMapPoint *
    e_map_get_closest_point (EMap *map,
                             gdouble longitude,
                             gdouble latitude,
                             gboolean in_view);

## Types and Values

### struct EMap

    struct EMap;

### struct EMapPoint

    struct EMapPoint {
    	gchar *name;  /* Can be NULL */
    	gdouble longitude, latitude;
    	guint32 rgba;
    	gpointer user_data;
    };